Login
Login-Name Passwort


 
Newsletter
Werbung

Sicherheit: Mangelnde Rechteprüfung in pki-core
Aktuelle Meldungen Distributionen
Name: Mangelnde Rechteprüfung in pki-core
ID: RHSA-2017:2335-01
Distribution: Red Hat
Plattformen: Red Hat Enterprise Linux
Datum: Di, 1. August 2017, 14:59
Referenzen: https://access.redhat.com/security/cve/CVE-2017-7537

Originalnachricht

-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

=====================================================================
Red Hat Security Advisory

Synopsis: Moderate: pki-core security update
Advisory ID: RHSA-2017:2335-01
Product: Red Hat Enterprise Linux
Advisory URL: https://access.redhat.com/errata/RHSA-2017:2335
Issue date: 2017-08-01
CVE Names: CVE-2017-7537
=====================================================================

1. Summary:

An update for pki-core is now available for Red Hat Enterprise Linux 7.

Red Hat Product Security has rated this update as having a security impact
of Moderate. A Common Vulnerability Scoring System (CVSS) base score, which
gives a detailed severity rating, is available for each vulnerability from
the CVE link(s) in the References section.

2. Relevant releases/architectures:

Red Hat Enterprise Linux Client Optional (v. 7) - noarch, x86_64
Red Hat Enterprise Linux ComputeNode Optional (v. 7) - noarch, x86_64
Red Hat Enterprise Linux Server (v. 7) - aarch64, noarch, ppc64le, x86_64
Red Hat Enterprise Linux Server Optional (v. 7) - noarch, ppc64, ppc64le, s390x
Red Hat Enterprise Linux Workstation (v. 7) - noarch, x86_64
Red Hat Enterprise Linux Workstation Optional (v. 7) - noarch

3. Description:

Red Hat Certificate System is an enterprise software system designed to
manage enterprise public key infrastructure (PKI) deployments. PKI Core
contains fundamental packages required by Red Hat Certificate System, which
comprise the Certificate Authority (CA) subsystem.

Security Fix(es):

* It was found that a mock CMC authentication plugin with a hardcoded
secret was accidentally enabled by default in the pki-core package. An
attacker could potentially use this flaw to bypass the regular
authentication process and trick the CA server into issuing certificates.
(CVE-2017-7537)

This issue was discovered by Christina Fu (Red Hat).

4. Solution:

For details on how to apply this update, which includes the changes
described in this advisory, refer to:

https://access.redhat.com/articles/11258

5. Bugs fixed (https://bugzilla.redhat.com/):

1469432 - CMC plugin default change
1470817 - CVE-2017-7537 pki-core: mock CMC authentication plugin with hardcoded
secret enabled by default

6. Package List:

Red Hat Enterprise Linux Client Optional (v. 7):

Source:
pki-core-10.4.1-11.el7.src.rpm

noarch:
pki-base-10.4.1-11.el7.noarch.rpm
pki-base-java-10.4.1-11.el7.noarch.rpm
pki-ca-10.4.1-11.el7.noarch.rpm
pki-javadoc-10.4.1-11.el7.noarch.rpm
pki-kra-10.4.1-11.el7.noarch.rpm
pki-server-10.4.1-11.el7.noarch.rpm

x86_64:
pki-core-debuginfo-10.4.1-11.el7.x86_64.rpm
pki-symkey-10.4.1-11.el7.x86_64.rpm
pki-tools-10.4.1-11.el7.x86_64.rpm

Red Hat Enterprise Linux ComputeNode Optional (v. 7):

Source:
pki-core-10.4.1-11.el7.src.rpm

noarch:
pki-base-10.4.1-11.el7.noarch.rpm
pki-base-java-10.4.1-11.el7.noarch.rpm
pki-ca-10.4.1-11.el7.noarch.rpm
pki-javadoc-10.4.1-11.el7.noarch.rpm
pki-kra-10.4.1-11.el7.noarch.rpm
pki-server-10.4.1-11.el7.noarch.rpm

x86_64:
pki-core-debuginfo-10.4.1-11.el7.x86_64.rpm
pki-symkey-10.4.1-11.el7.x86_64.rpm
pki-tools-10.4.1-11.el7.x86_64.rpm

Red Hat Enterprise Linux Server (v. 7):

Source:
pki-core-10.4.1-11.el7.src.rpm

aarch64:
pki-core-debuginfo-10.4.1-11.el7.aarch64.rpm
pki-symkey-10.4.1-11.el7.aarch64.rpm
pki-tools-10.4.1-11.el7.aarch64.rpm

noarch:
pki-base-10.4.1-11.el7.noarch.rpm
pki-base-java-10.4.1-11.el7.noarch.rpm
pki-ca-10.4.1-11.el7.noarch.rpm
pki-kra-10.4.1-11.el7.noarch.rpm
pki-server-10.4.1-11.el7.noarch.rpm

ppc64le:
pki-core-debuginfo-10.4.1-11.el7.ppc64le.rpm
pki-tools-10.4.1-11.el7.ppc64le.rpm

x86_64:
pki-core-debuginfo-10.4.1-11.el7.x86_64.rpm
pki-symkey-10.4.1-11.el7.x86_64.rpm
pki-tools-10.4.1-11.el7.x86_64.rpm

Red Hat Enterprise Linux Server Optional (v. 7):

Source:
pki-core-10.4.1-11.el7.src.rpm

noarch:
pki-base-10.4.1-11.el7.noarch.rpm
pki-base-java-10.4.1-11.el7.noarch.rpm
pki-ca-10.4.1-11.el7.noarch.rpm
pki-javadoc-10.4.1-11.el7.noarch.rpm
pki-kra-10.4.1-11.el7.noarch.rpm
pki-server-10.4.1-11.el7.noarch.rpm

ppc64:
pki-core-debuginfo-10.4.1-11.el7.ppc64.rpm
pki-symkey-10.4.1-11.el7.ppc64.rpm
pki-tools-10.4.1-11.el7.ppc64.rpm

ppc64le:
pki-core-debuginfo-10.4.1-11.el7.ppc64le.rpm
pki-symkey-10.4.1-11.el7.ppc64le.rpm

s390x:
pki-core-debuginfo-10.4.1-11.el7.s390x.rpm
pki-symkey-10.4.1-11.el7.s390x.rpm
pki-tools-10.4.1-11.el7.s390x.rpm

Red Hat Enterprise Linux Workstation (v. 7):

Source:
pki-core-10.4.1-11.el7.src.rpm

noarch:
pki-base-10.4.1-11.el7.noarch.rpm
pki-base-java-10.4.1-11.el7.noarch.rpm
pki-ca-10.4.1-11.el7.noarch.rpm
pki-kra-10.4.1-11.el7.noarch.rpm
pki-server-10.4.1-11.el7.noarch.rpm

x86_64:
pki-core-debuginfo-10.4.1-11.el7.x86_64.rpm
pki-symkey-10.4.1-11.el7.x86_64.rpm
pki-tools-10.4.1-11.el7.x86_64.rpm

Red Hat Enterprise Linux Workstation Optional (v. 7):

noarch:
pki-javadoc-10.4.1-11.el7.noarch.rpm

These packages are GPG signed by Red Hat for security. Our key and
details on how to verify the signature are available from
https://access.redhat.com/security/team/key/

7. References:

https://access.redhat.com/security/cve/CVE-2017-7537
https://access.redhat.com/security/updates/classification/#moderate

8. Contact:

The Red Hat security contact is <secalert@redhat.com>. More contact
details at https://access.redhat.com/security/team/contact/

Copyright 2017 Red Hat, Inc.
-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1

iD8DBQFZgGeUXlSAg2UNWIIRAp2IAKC6hjsVdlgzYnrJFUIXknvUdMTaPgCdE/Ur
dil89eIhiYTW0/IM1J82aus=
=MJaO
-----END PGP SIGNATURE-----

--
RHSA-announce mailing list
RHSA-announce@redhat.com
https://www.redhat.com/mailman/listinfo/rhsa-announce
Pro-Linux
Traut euch!
Neue Nachrichten
Werbung